apiVersion: apps/v1
kind: Deployment
metadata:
  name: participant-deployment
spec:
  selector:
    matchLabels:
      app: tchallenge-participant
  template:
    metadata:
      labels:
        app: tchallenge-participant
    spec:
      containers:
        - image: esmirnova/tchallenge_participant:latest
          imagePullPolicy: Always
          name: tchallenge-participant
          env:
            - name: ENVRNMNT
              value: 'src/environments/environment.dev.ts'
          ports:
            - containerPort: 4200
              protocol: TCP
    restartPolicy: Always
---
apiVersion: v1
kind: Service
metadata:
  name: participant-service
spec:
  ports:
    - port: 4200
      protocol: TCP
      targetPort: 4200
  selector:
    app: tchallenge-participant
